这个报错是因为git的问题,我们只要把老的git卸载了,再装个新的git就没问题了

yum install -y curl-devel expat-devel gettext-devel openssl-devel zlib-devel asciidoc gcc perl-ExtUtils-MakeMaker xmlto
卸载Centos自带的git1.7.1
系统带的版本
git –version

Cento6.6应该自带的是git版本是1.7.1
yum remove git
下载git2.2.1并将git添加到环境变量中

wget https://github.com/git/git/archive/v2.2.1.tar.gz

tar zxvf v2.2.1.tar.gz
cd git-2.2.1
make configure
./configure --prefix=/usr/local/git --with-iconv=/usr/local/libiconv
make all doc
make install install-doc install-html
echo "export PATH=$PATH:/usr/local/git/bin" >> /etc/bashrc
source /etc/bashrc

查看版本号
git --version
git version 2.2.1

但是到这里还不够,我们在clone的时候还是会报错,还得继续安装包
git fatal: http request failed解决办法
yum update -y nss curl libcurl openssh
git fatal: http request failed解决办法
这样就没问题了